=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif
ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  jre_versions = 6
endif
# for simplicity build the plugin for 7 for multiarch setup only,
# anything else requires backports.
ifneq (,$(DEB_HOST_MULTIARCH))
  jre_versions += 7
endif

ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
  buildflags := \
	CXXFLAGS='$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)' \
	LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'
endif

arch_map	 := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
archdir_map     := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64

jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
  is7_default = no
  default_version = 6
  default_plugin_version = 6
else
  is7_default = yes
  default_version = 7
  ifneq (,$(filter $(distrel), wheezy))
    default_plugin_version = 6
  else
    default_plugin_version = 7
  endif
endif
is8_default = no

# dependency package for older releases
ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  nopkgs = -Nicedtea6-plugin
endif

TOP = usr/lib/jvm
jdirname = java-$(shortver)-$(origin)
origin = openjdk
basename = openjdk-$(shortver)
ifneq (,$(DEB_HOST_MULTIARCH))
  jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
  jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
  jdk8_home = $(TOP)/java-8-openjdk-$(DEB_HOST_ARCH)
else
  jdk_home = $(TOP)/java-6-openjdk
  jdk7_home = $(TOP)/java-7-openjdk
endif
basedir = $(jdk_home)
base7dir = $(jdk7_home)
base8dir = $(jdk8_home)
vendor = IcedTea
shortver = 6
last_npp_version = 6b18~pre2-2
priority = 1061
# not yet higher than for 6
priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
priority8 = $(if $(filter yes, $(is8_default)),1081,1070)
plugin_name = IcedTeaPlugin.so

ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
  with_plugin_pkg = no
else ifneq (,$(filter $(DEB_HOST_ARCH)-$(distrel), sparc-hardy sparc-jaunty))
  with_plugin_pkg = no
else
  with_plugin_pkg = yes
endif

ifeq ($(distribution),Debian)
  ifneq (,$(filter $(distrel),lenny))
    bd_plugin = xulrunner-dev (>= 1.9.0),
  else ifneq (,$(filter $(distrel),squeeze wheezy))
    bd_plugin = xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64],
  else
    bd_plugin = iceweasel-dev [!alpha !sparc64],
  endif
else
  ifneq (,$(filter $(distrel),gutsy feisty edgy dapper))
    bd_plugin = firefox-dev,
  else ifneq (,$(filter $(distrel),intrepid))
    bd_plugin = xulrunner-1.9-dev,
  else ifneq (,$(filter $(distrel),hardy jaunty))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev [!sparc],
    xulrunner_depends = xulrunner-1.9.2
  else ifneq (,$(filter $(distrel),karmic lucid maverick))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev,
    xulrunner_depends = xulrunner-1.9.2
  else
    bd_plugin = firefox-dev,
    xulrunner_depends = firefox (>= 4.0~b7) | chromium-browser | epiphany-browser | midori
  endif
endif


ifeq ($(is8_default),yes)
  bd_openjdk = openjdk-8-jdk,
  jdk_default_home = $(jdk8_home)
else ifeq ($(is7_default),yes)
  bd_openjdk = openjdk-7-jdk,
  jdk_default_home = $(jdk7_home)
else
  bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
  jdk_default_home = $(jdk_home)
endif

ifeq ($(default_plugin_version),8)
  netx_depends = openjdk-8-jre | openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
else ifeq ($(default_plugin_version),7)
  netx_depends = openjdk-7-jre | openjdk-8-jre | openjdk-6-jre (>= 6b23~pre10~)
else
  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre | openjdk-8-jre
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  netx_depends := $(netx_depends), icedtea-netx-common (>= $${binary:Version})
endif

ifeq ($(distribution),Ubuntu)
  ifneq (,$(filter $(distrel),jaunty intrepid hardy gutsy feisty edgy dapper))
    # FIXME: check for every release ...
    browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  else
    browser_plugin_dirs = mozilla
  endif
else
  browser_plugin_dirs = mozilla
endif

java_launcher = /$(basedir)/bin/java
java7_launcher = /$(base7dir)/bin/java
java8_launcher = /$(base8dir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

control_vars = \
	'-Vxulrunner:Depends=$(xulrunner_depends)' \
	'-Vnetx:Depends=$(netx_depends)'

#	--prefix=/$(jdk_home) \

CONFIGURE_ARGS = \
	--prefix=/usr \
	--with-pkgversion="$(PKGVERSION)" \
	--disable-docs

ifneq ($(with_plugin_pkg),yes)
  CONFIGURE_ARGS += --disable-plugin
endif

p_netx = icedtea-netx
p_comm = icedtea-netx-common
p_plug = icedtea-6-plugin
p_plug7 = icedtea-7-plugin
p_plug8 = icedtea-8-plugin
d_netx = debian/$(p_netx)
d_comm = debian/$(p_comm)
d_plug = debian/$(p_plug)
d_plug7 = debian/$(p_plug7)
d_plug8 = debian/$(p_plug8)

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	sed \
		-e 's/@bd_plugin@/$(bd_plugin)/g' \
		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
		-e 's/@default_version@/$(default_version)/g' \
		-e 's/@default_plugin_version@/$(default_plugin_version)/g' \
	     debian/control.in \
	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
	     $(if $(filter 8, $(jre_versions)),debian/control.8) \
	     $(if $(nopkgs),,debian/control.compat) \
	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
		  > debian/control
	@if cmp -s debian/control debian/control.old; then \
	  rm -f debian/control.old; \
	else \
	  diff -u debian/control.old debian/control; \
	  echo "debian/control did change, please restart the build"; \
	  rm -f debian/control.old; \
	  exit 1; \
	fi

packaging-files:
	for f in debian/*.in; do \
	  case "$$f" in debian/control.in) continue; esac; \
	  case "$$f" in \
	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
	    debian/PLUGIN8.*.in) f2=$$(echo $$f | sed 's/PLUGIN8/$(p_plug8)/;s/\.in$$//');; \
