## icedtea-web 1.5.2

=== debian/changelog ===
icedtea-web (1.5.2-1ubuntu2~14.10) utopic-proposed; urgency=medium

  * Upload to utopic, fixing installation issues. LP: #1363785.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 13:14:41 +0100

icedtea-web (1.5.2-1ubuntu2) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 13:07:10 +0100

icedtea-web (1.5.2-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2014 12:30:39 +0100

icedtea-web (1.5.2~rc1-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release candidate 1.
    - RH1095311, PR574 - Build fix for JDK9 (references class sun.misc.Ref
      removed in OpenJDK 9).
    - RH1154177 - decoded file needed from cache.
    - fixed NPE  in https dialog.
    - empty codebase behaves  as ".".
  * Remove the support for OpenJDK 8, breaks for OpenJDK 7, when 8 is not
    installed. Closes: #759226. LP: #1363785.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Nov 2014 08:45:27 +0100

icedtea-web (1.5-1) unstable; urgency=medium

  * IcedTea-Web 1.5 release.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 17:38:58 +0200
