=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,6 @@
     default_plugin_version = 7
   endif
 endif
-is8_default = no
 
 # dependency package for older releases
 ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
@@ -76,21 +75,18 @@
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
   jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
-  jdk8_home = $(TOP)/java-8-openjdk-$(DEB_HOST_ARCH)
 else
   jdk_home = $(TOP)/java-6-openjdk
   jdk7_home = $(TOP)/java-7-openjdk
 endif
 basedir = $(jdk_home)
 base7dir = $(jdk7_home)
-base8dir = $(jdk8_home)
 vendor = IcedTea
 shortver = 6
 last_npp_version = 6b18~pre2-2
 priority = 1061
 # not yet higher than for 6
 priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
-priority8 = $(if $(filter yes, $(is8_default)),1081,1070)
 plugin_name = IcedTeaPlugin.so
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
@@ -129,10 +125,7 @@
 endif
 
 
-ifeq ($(is8_default),yes)
-  bd_openjdk = openjdk-8-jdk,
-  jdk_default_home = $(jdk8_home)
-else ifeq ($(is7_default),yes)
+ifeq ($(is7_default),yes)
   bd_openjdk = openjdk-7-jdk,
   jdk_default_home = $(jdk7_home)
 else
@@ -140,12 +133,10 @@
   jdk_default_home = $(jdk_home)
 endif
 
-ifeq ($(default_plugin_version),8)
-  netx_depends = openjdk-8-jre | openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
-else ifeq ($(default_plugin_version),7)
-  netx_depends = openjdk-7-jre | openjdk-8-jre | openjdk-6-jre (>= 6b23~pre10~)
-else
-  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre | openjdk-8-jre
+ifeq ($(default_plugin_version),7)
+  netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
+else
+  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
@@ -165,7 +156,6 @@
 
 java_launcher = /$(basedir)/bin/java
 java7_launcher = /$(base7dir)/bin/java
-java8_launcher = /$(base8dir)/bin/java
 ifeq ($(distribution),Ubuntu)
   ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
     java_launcher = cautious-launcher %f /$(basedir)/bin/java
@@ -191,12 +181,10 @@
 p_comm = icedtea-netx-common
 p_plug = icedtea-6-plugin
 p_plug7 = icedtea-7-plugin
-p_plug8 = icedtea-8-plugin
 d_netx = debian/$(p_netx)
 d_comm = debian/$(p_comm)
 d_plug = debian/$(p_plug)
 d_plug7 = debian/$(p_plug7)
-d_plug8 = debian/$(p_plug8)
 
 debian/control: debian/control.in debian/rules
 	@cp -p debian/control debian/control.old
@@ -209,7 +197,6 @@
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
 	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
-	     $(if $(filter 8, $(jre_versions)),debian/control.8) \
 	     $(if $(nopkgs),,debian/control.compat) \
 	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
 		  > debian/control
@@ -228,4 +215,21 @@
 	  case "$$f" in \
 	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
 	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
-	    debian/PLUGIN8.*.in) f2=$$(echo $$f | sed 's/PLUGIN8/$(p_plug8)/;s/\.in$$//');; \
+	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
+	  esac; \
+	  sed \
+	      -e 's/@basename@/$(basename)/g' \
+	      -e 's/@vendor@/$(vendor)/g' \
+	      -e 's/@RELEASE@/$(shortver)/g' \
+	      -e 's,@TOP@,$(TOP),g' \
+	      -e 's,@basedir@,$(basedir),g' \
+	      -e 's,@base7dir@,$(base7dir),g' \
+	      -e 's,@jdirname@,$(jdirname),g' \
+	      -e 's/@srcname@/$(srcname)/g' \
+	      -e 's/@jvmarch@/$(jvmarch)/g' \
+	      -e 's/@archdir@/$(archdir)/g' \
+	      -e 's/@tag@/$(tag)/g' \
+	      -e 's/@priority@/$(priority)/g' \
+	      -e 's/@priority7@/$(priority7)/g' \
+	      -e 's/@mantag@/$(mantag)/g' \
+	      -e 's/@multiarch@/$(DEB_HOST_MULTIARCH)/g' \
